summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorMikle Kolyada <zlogene@gentoo.org>2019-03-17 01:27:36 +0300
committerMikle Kolyada <zlogene@gentoo.org>2019-03-17 14:10:53 +0300
commit5506d6e5bf2367e617da0a39374a13ce76a77954 (patch)
tree5348a8c6c4cca95c30c562221d6ea450a8b12b07
parentx11-themes/mate-icon-theme: Version bump (v1.22.0) (diff)
downloadgentoo-5506d6e5bf2367e617da0a39374a13ce76a77954.tar.gz
gentoo-5506d6e5bf2367e617da0a39374a13ce76a77954.tar.bz2
gentoo-5506d6e5bf2367e617da0a39374a13ce76a77954.zip
mate-base/caja: Version bump (v1.22.0)
Signed-off-by: Mikle Kolyada <zlogene@gentoo.org> Package-Manager: Portage-2.3.62, Repoman-2.3.11
-rw-r--r--mate-base/caja/Manifest1
-rw-r--r--mate-base/caja/caja-1.22.0.ebuild90
2 files changed, 91 insertions, 0 deletions
diff --git a/mate-base/caja/Manifest b/mate-base/caja/Manifest
index eaa098f27e5..249bcb902ee 100644
--- a/mate-base/caja/Manifest
+++ b/mate-base/caja/Manifest
@@ -1 +1,2 @@
DIST caja-1.18.5.tar.xz 3528228 BLAKE2B c39d7ef97de44c3f57fe622f71291e607cb17b10bebb20e19885413d67d0fccc6e5733739c836b0babbf45c51a0026f1559e7c1ed9656be0ee6b960363474773 SHA512 44bc85e33937f1816cddd78bf72db38b4b43e549cb2680b5d73d252699e9b5d1aace27271729ae310cb9d4f892474164140782713a6fa9f408c78c1b4f0edd73
+DIST caja-1.22.0.tar.xz 3562792 BLAKE2B 2f2a1d909e5e5a333228326b34daf8b5f461c836d2b132a78d53f93b14ab9ade5f39159adcb2ddb729838eca3eecdac1c0d3b98a875769bce942cd38cf88b664 SHA512 ca97a1e81cc7b061bb331d7a4574c76831dbff50bdc9ba0a162675def7278cf5dadb37aacb0e1e37a0ac2cf60df73f98353aaa36fa0e69a0097017eed5d325b6
diff --git a/mate-base/caja/caja-1.22.0.ebuild b/mate-base/caja/caja-1.22.0.ebuild
new file mode 100644
index 00000000000..e6f94273840
--- /dev/null
+++ b/mate-base/caja/caja-1.22.0.ebuild
@@ -0,0 +1,90 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+MATE_LA_PUNT="yes"
+
+inherit mate virtualx
+
+if [[ ${PV} != 9999 ]]; then
+ KEYWORDS="~amd64 ~arm ~arm64 ~x86"
+fi
+
+DESCRIPTION="Caja file manager for the MATE desktop"
+LICENSE="GPL-2 LGPL-2 FDL-1.1"
+SLOT="0"
+
+IUSE="+introspection +mate packagekit xmp"
+
+COMMON_DEPEND="dev-libs/atk
+ >=dev-libs/glib-2.50:2
+ >=dev-libs/libxml2-2.4.7:2
+ gnome-base/dconf
+ >=gnome-base/gvfs-1.10.1:0[udisks]
+ >=mate-base/mate-desktop-1.17.3:0
+ >=media-libs/libexif-0.6.14:0
+ virtual/libintl
+ x11-libs/cairo
+ x11-libs/gdk-pixbuf:2
+ >=x11-libs/gtk+-3.22:3[introspection?]
+ >=x11-libs/libnotify-0.7.0:0
+ x11-libs/libICE
+ x11-libs/libSM
+ x11-libs/libX11
+ x11-libs/libXext
+ x11-libs/libXft
+ x11-libs/libXrender
+ >=x11-libs/pango-1.1.2
+ introspection? ( >=dev-libs/gobject-introspection-0.6.4:= )
+ packagekit? ( app-admin/packagekit-base )
+ xmp? ( >=media-libs/exempi-1.99.5:2 )
+ !!mate-base/mate-file-manager"
+
+RDEPEND="${COMMON_DEPEND}"
+
+DEPEND="${COMMON_DEPEND}
+ >=dev-lang/perl-5:=
+ dev-util/gdbus-codegen
+ dev-util/gtk-doc
+ dev-util/gtk-doc-am
+ >=dev-util/intltool-0.40.1
+ sys-devel/gettext:*
+ virtual/pkgconfig:*"
+
+PDEPEND="mate? ( >=x11-themes/mate-icon-theme-${MATE_BRANCH} )"
+
+# TODO: Test fails because Caja is not merged yet:
+# GLib-GIO-ERROR **: Settings schema 'org.mate.caja.preferences' is not installed
+RESTRICT="test"
+
+src_prepare() {
+ # Remove unnecessary CFLAGS.
+ sed -i -e 's:-DG.*DISABLE_DEPRECATED::g' \
+ configure.ac eel/Makefile.am || die
+
+ mate_src_prepare
+}
+
+src_configure() {
+ mate_src_configure \
+ --disable-update-mimedb \
+ $(use_enable introspection) \
+ $(use_enable packagekit) \
+ $(use_enable xmp)
+}
+
+src_test() {
+ unset SESSION_MANAGER
+ unset DBUS_SESSION_BUS_ADDRESS
+
+ Xemake check || die "Test phase failed"
+}
+
+pkg_postinst() {
+ mate_pkg_postinst
+
+ elog "Caja can use gstreamer to preview audio files. Just make sure"
+ elog "to have the necessary plugins available to play the media type you"
+ elog "want to preview."
+}